Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.fryte.com/llms.txt

Use this file to discover all available pages before exploring further.

1. Submit your route

You need an API key and a Vehicle ID.
curl -X POST "https://api.fryte.eu/planner/v2" \
  -H "Authorization: Bearer <your-token>" \
  -H "Content-Type: application/json" \
  -d '{
    "vehicle_id": "010160700001",
    "battery_level_start": 0.8,
    "section_list": [
      {
        "start_pos": [48.7758, 9.1829],
        "stop_pos": [52.5200, 13.4050],
        "payload_kg": 19300
      }
    ],
    "poi_info": {
      "min_kW": 150,
      "connector_type": ["CCS"]
    }
  }'
The API starts optimizing in the background and returns identifiers to track the job.
{
  "optimization_id": 7716,
  "job_id": "20ccaf8b-d36b-4c21-bb32-d00e758abe14",
  "tour_id": 7673
}

2. Poll for completion

Poll with your job_id until status is succeeded.
curl "https://api.fryte.eu/planner/jobs/<job_id>" \
  -H "Authorization: Bearer <your-token>"
{
  "status": "succeeded",
  "optimization_id": 7716,
  "job_id": "20ccaf8b-d36b-4c21-bb32-d00e758abe14",
  "tour_id": 7673,
  "vehicle_id": "010160700001"
}

3. Get your charging plan

curl "https://api.fryte.eu/planner/optimizations/7716/result" \
  -H "Authorization: Bearer <your-token>"
The optimizer found two charging stops for the 640 km route:
{
  "qualification": "Driveable",
  "battery_level_start": 0.8,
  "battery_level_end": 0.19,
  "sections": [
    {
      "start_pos": [48.78, 9.18, 0.80],
      "stop_pos": [50.05, 11.62, 0.48],
      "poi_summary": {
        "name": "IONITY",
        "address": "Bayreuther Straße 1",
        "power_available_kW": 350.0,
        "energy_kWh": 168.0,
        "charge_time_min": 32.0,
        "service_time_min": 35.0
      }
    },
    {
      "start_pos": [50.06, 11.62, 0.48],
      "stop_pos": [50.37, 11.79, 0.65],
      "poi_summary": {
        "name": "IONITY",
        "address": "Sieggrubenstraße 2",
        "power_available_kW": 350.0,
        "energy_kWh": 178.5,
        "charge_time_min": 34.0,
        "service_time_min": 37.0
      }
    },
    {
      "start_pos": [50.37, 11.79, 0.65],
      "stop_pos": [52.52, 13.40, 0.19],
      "poi_summary": {
        "name": "Destination",
        "address": "See Destination",
        "power_available_kW": 0,
        "energy_kWh": 0,
        "charge_time_min": 0,
        "service_time_min": 0
      }
    }
  ],
  "toll_summary": [],
  "poi_list": ["..."]
}